Bug 152670 - XFree86 Font Information File Buffer Overflow
XFree86 Font Information File Buffer Overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://www.xfree86.org
LEGACY, QA, rh73
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-11 20:47 EST by David Lawrence
Modified: 2014-01-21 17:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:23:25 EST
http://www.idefense.com/application/poi/display?id=72&type=vulnerabilities

"Exploitation of a buffer overflow in The XFree86 Project Inc.'s XFree86
X Window System allows local attackers to gain root privileges.

The problem specifically exists in the parsing of the 'font.alias' file.
The X server (running as root) fails to check the length of user
provided input. A malicious user may craft a malformed 'font.alias'
file causing a buffer overflow upon parsing, eventually leading to the
execution of arbitrary code."

[...]

"iDEFENSE has confirmed the existence of this vulnerability in XFree86
versions 4.1.0 to the current version 4.3.0. It is suspected that
earlier versions are vulnerable as well."

[...]

"The patch for the problem is at
ftp://ftp.xfree86.org/pub/XFree86/4.3.0/fixes/fontfile.diff and
it is applicable to all affected XFree86 versions."

Current XFree86 releases for Legacy systems:

7.2 XFree86-4.1.0-50.src.rpm
7.3 XFree86-4.2.1-13.73.23.src.rpm
8.0 XFree86-4.2.1-23.src.rpm

Hopefully someone with a faster system than I have can build some packages.  I
don't even want to think how long these would take to compile on my agin hardware...



------- Additional Comments From jpdalbec@ysu.edu 2004-02-12 10:56:31 ----

Hopefully someone with more disk space on a public server than I have can host
the packages I built...



------- Additional Comments From Freedom_Lover@pobox.com 2004-02-12 14:10:24 ----

Add this one to the list:
http://www.idefense.com/application/poi/display?id=73&type=vulnerabilities

Same patch as yesterday's.  This just presents another CVE entry to add to the
things fixed with the packages that get released and offers another exploit to test.



------- Additional Comments From Freedom_Lover@pobox.com 2004-02-12 19:21:16 ----

This Slackware advisory references a third CVE (unfortunately there isn't any
detail yet when looking up this CVE candidate).  It might be worth checing out
the patches they've applied to see if there is anything additional to the one
patch on the Xfree86 site.

http://www.slackware.com/security/viewer.php?l=slackware-security&y=2004&m=slackware-security.405053



------- Additional Comments From jpdalbec@ysu.edu 2004-02-13 04:39:51 ----

There appears to be an additional fix.  How should I name the patch for the SRPM?



------- Additional Comments From jpdalbec@ysu.edu 2004-02-13 07:54:53 ----

Here's the direct link to slackware's patch:
ftp://ftp.slackware.com/pub/slackware/slackware-8.1/patches/source/xfree86/fontfile.diff.gz



------- Additional Comments From Freedom_Lover@pobox.com 2004-02-13 08:34:53 ----

The Mandrake release contains the same exact patch (in
XFree86-4.2.1-3.5.90mdk.src.rpm) as the Slackware package:

http://www.mandrakesecure.net/en/advisories/advisory.php?name=MDKSA-2004:012

Their's is named XFree86-fontalias.patch.bz2 and the changelog entry simply states:

    rediff patch to fix CAN-2004-0106

I don't notice any change in the diff on xfree86.org though.  I haven't checked
the XFree86 CVS though to see if this additional change is included there, it
could be.



------- Additional Comments From jkeating@j2solutions.net 2004-02-13 09:05:36 ----

I can host this on geek.j2solutions.net (which is the same box as
*.fedoralegacy.org for now).  Please contact me in private for upload info.



------- Additional Comments From Freedom_Lover@pobox.com 2004-02-13 13:44:40 ----

Created an attachment (id=540)
RH9 / XFree86 patch

Here's the patch from the just released RH9 XFree86 errata.  It's just about
identical to the Slackware and Mandrake patches.  I haven't tested it to see
how it applies to any of the legacy XFree86 sources (I don't even know if I
have enough free disk space to try).

There is a different patch in the RHAS2.1 errata.  There, they patch the source
to bring it inline with the CVS 4_1 branch as of yesterday.



------- Additional Comments From barryn@pobox.com 2004-02-18 16:07:06 ----

Both the patch from the RHL 9 SRPM and the Slackware patch apply equally well to
the RHL 7.3 XFree86 (4.2.1-13.73.23). I think one hunk applies with fuzz or
something like that.



------- Additional Comments From jpdalbec@ysu.edu 2004-02-24 10:18:22 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

RHL 7.3 RPMs and SRPMs may be found at http://www.fedoralegacy.org/contrib/
(Thanks Jesse!)

I'm in the process of rebuilding the RHL 8 RPMs.  They should be available
tomorrow.  Anyone want to try RHL 7.2?  I don't have a 7.2 box handy.

2ce27a19fe881cf4e4e8f2ea630c8f06be38a605  
XFree86-100dpi-fonts-4.2.1-14.73.24.i386.rpm
c21450901b1ae41556aa607f09450b5188ea945f  XFree86-4.2.1-14.73.24.i386.rpm
6462c670b3cd72d2355851c624afa7c1222eeaee  XFree86-4.2.1-14.73.24.src.rpm
03f6496412e02064549a10bc0c219a7f77da373c  
XFree86-75dpi-fonts-4.2.1-14.73.24.i386.rpm
b0eb801970fa30f49421c16d120cb240c21454b0  
XFree86-base-fonts-4.2.1-14.73.24.i386.rpm
af502b4ab35b39c560f49eb9f4975d600597acce  
XFree86-cyrillic-fonts-4.2.1-14.73.24.i386.rpm
d4c8b03ae87ca92be994a6793d230044c796cd1b  XFree86-devel-4.2.1-14.73.24.i386.rpm
bdbce8e77301e19edf5540e81560c2f684ad9c32  XFree86-doc-4.2.1-14.73.24.i386.rpm
06ca85751f53f136f92dfd10eb489666fd2c77d1  
XFree86-font-utils-4.2.1-14.73.24.i386.rpm
051e9e2f26b8985b71972e8daa2bd81221cb3797  
XFree86-ISO8859-15-100dpi-fonts-4.2.1-14.73.24.i386.rpm
016915a84a95748180c03e3e9985038b0af59137  
XFree86-ISO8859-15-75dpi-fonts-4.2.1-14.73.24.i386.rpm
85bff3d7480d25715661fa1ac2841bc8af075cb8  
XFree86-ISO8859-2-100dpi-fonts-4.2.1-14.73.24.i386.rpm
73d3c4ba74035df3fd869ff81344dacceec88cf2  
XFree86-ISO8859-2-75dpi-fonts-4.2.1-14.73.24.i386.rpm
2b07ea1a15d1f73b0d6b24d262164c07c141afea  
XFree86-ISO8859-9-100dpi-fonts-4.2.1-14.73.24.i386.rpm
c880cc1eff23a75dcc53e0285191f74eadb9117f  
XFree86-ISO8859-9-75dpi-fonts-4.2.1-14.73.24.i386.rpm
e93e250bea7aa0730b777e4ea10ce729be3002c8  XFree86-libs-4.2.1-14.73.24.i386.rpm
b0c93c6aabc3c953ed2621e0eb26f9627826e0d6  XFree86-tools-4.2.1-14.73.24.i386.rpm
acd1d492febeae2719962ab7dc9a602b5250418b  
XFree86-truetype-fonts-4.2.1-14.73.24.i386.rpm
af87ac2c234ab2fddbca171e99d254734c83fde8  XFree86-twm-4.2.1-14.73.24.i386.rpm
f749f7b2aa06c56856df72f3c2b656143ea5ee09  XFree86-xdm-4.2.1-14.73.24.i386.rpm
84c21ea99b2498bf1ae51de2c46478347ef048af  
XFree86-xf86cfg-4.2.1-14.73.24.i386.rpm
036f83a04475dd404a07c8a8aba1f2fff08f6353  XFree86-xfs-4.2.1-14.73.24.i386.rpm
fec75264a8d48043b4f96487ae8fd9aa7ed2b0bf  XFree86-Xnest-4.2.1-14.73.24.i386.rpm
24e17680fefd35ef87aa6b5efea6d00629e7daa8  XFree86-Xvfb-4.2.1-14.73.24.i386.rpm

I have installed the following RPMs:
XFree86-100dpi-fonts XFree86 XFree86-75dpi-fonts XFree86-base-fonts
XFree86-devel XFree86-font-utils XFree86-libs XFree86-tools XFree86-twm
XFree86-xdm XFree86-xfs

Logging in with GNOME seems to work fine.  For the RPMs I have installed, the
ldd output is the same as with the previous version.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFAO7EyJL4A+ldA7asRAjWUAKCBdSBTZ2m558SovPxFq/c9KwN6OwCg09KZ
UcS/4Ln0uOGlzFySRZOttD4=
=ZX5z
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-02-25 05:43:02 ----

Oops, I forgot to add ".legacy" to the version.  Should I rebuild the packages?
 Should I upload everything or just the .src.rpm files?




------- Additional Comments From jkeating@j2solutions.net 2004-02-25 05:49:55 ----

Don't worry about the legacy.  We'll test the packages as is, and when I build
it for updates-testing I'll append the .legacy.



------- Additional Comments From jpdalbec@ysu.edu 2004-02-25 07:25:48 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

RHL 8.0 RPMs and SRPMs may be found at http://www.fedoralegacy.org/contrib/

I'll try to get mach working on RHL 8.0 so I can build the 7.2 packages.
Mach wouldn't build on RHL 7.3 because the version of Python is too old!

638ccec8933e33e49114b75752f260d00717f9c8  XFree86-100dpi-fonts-4.2.1-24.i386.rpm
4a66febbd7beca96c752adaa892bf4a5113f350d  XFree86-4.2.1-24.i386.rpm
798b0e942126e9faa09df620d75bc6beeb8954cc  XFree86-4.2.1-24.src.rpm
98c9c083cf03701a1c04de354261daec254e71ce  XFree86-75dpi-fonts-4.2.1-24.i386.rpm
dcd7c85b58f72ccd25d58d62aa8df22ac0344387  XFree86-base-fonts-4.2.1-24.i386.rpm
86baa26db779b8dcffd00fdbbc4f0f8433cbc3aa  
XFree86-cyrillic-fonts-4.2.1-24.i386.rpm
980400257dce3ce852eb61909b92dbed828052e3  XFree86-devel-4.2.1-24.i386.rpm
e1399d567b91012c40368c2ee19c89fc22d7df3d  XFree86-doc-4.2.1-24.i386.rpm
c5f94cefd6eb0c60ac4c8bcf146ed26f44d3e769  XFree86-font-utils-4.2.1-24.i386.rpm
dc0a579999a3dfd8f19abda4171791843ac3bdbd  
XFree86-ISO8859-15-100dpi-fonts-4.2.1-24.i386.rpm
007351fc6f83a6f494fa1cd685059d127281fb72  
XFree86-ISO8859-15-75dpi-fonts-4.2.1-24.i386.rpm
e0a590b060505f85cb8368bba9097e44a61db23a  
XFree86-ISO8859-2-100dpi-fonts-4.2.1-24.i386.rpm
4756e0475a24f75ecf42c77b19e50013d5126c9f  
XFree86-ISO8859-2-75dpi-fonts-4.2.1-24.i386.rpm
224b81c66760638316866b0d0bcddea5d82b9a7d  
XFree86-ISO8859-9-100dpi-fonts-4.2.1-24.i386.rpm
c37b03339b04865a589e4f15c600586c91b926fd  
XFree86-ISO8859-9-75dpi-fonts-4.2.1-24.i386.rpm
e6a0d3b5b134558b1bbfca4eaa69c791653cd74c  XFree86-libs-4.2.1-24.i386.rpm
786887deeda2f9379a791f7564bcff52533a06d9  XFree86-Mesa-libGL-4.2.1-24.i386.rpm
688d37dd0d930a7f43a58d2adcdb343ffe9630b1  XFree86-Mesa-libGLU-4.2.1-24.i386.rpm
66a4099c8a711048bb8e7c329b39ed2675f8a140  XFree86-tools-4.2.1-24.i386.rpm
add4b81ba9940fceba35efb59f7b85dd9bb2c639  
XFree86-truetype-fonts-4.2.1-24.i386.rpm
514e85c3faea40a58599c054ce82e51e590393ca  XFree86-twm-4.2.1-24.i386.rpm
191b91d309d1645a5406dab96895f52bcc1b6e4d  XFree86-xauth-4.2.1-24.i386.rpm
163c1b67effd5725596dc7884c7d4c15d062887b  XFree86-xdm-4.2.1-24.i386.rpm
8894bed52dae575ae36b10935937f59a4735d70c  XFree86-xfs-4.2.1-24.i386.rpm
287a1e19093692c4cd26e5ce14666e3b2da87a39  XFree86-Xnest-4.2.1-24.i386.rpm
d0e6e455499ddb341241ade2fe1fcb397ce2a3d3  XFree86-Xvfb-4.2.1-24.i386.rpm

I have installed the following RPMs:
XFree86-100dpi-fonts XFree86 XFree86-75dpi-fonts XFree86-Mesa-libGL
XFree86-Mesa-libGLU XFree86-base-fonts XFree86-devel XFree86-font-utils
XFree86-libs XFree86-tools XFree86-truetype-fonts XFree86-twm XFree86-xauth
XFree86-xdm XFree86-xfs 

Logging into GNOME works fine.  I forgot to check the ldd output before I
installed the updated packages.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFAPNpVJL4A+ldA7asRAiCFAKCwwra6hBc3sEFBO53ZXjJNikJQOACgvYVi
2T7yEwwANOhqEUdUKsvk8Hs=
=e9rj
-----END PGP SIGNATURE-----




------- Additional Comments From michal@harddata.com 2004-02-28 08:27:27 ----

I have 4.2.1-14.73.24 in use now for roughly 40+ hours on four machines
with different video cards.  No reports of any troubles.



------- Additional Comments From bugs.michael@gmx.net 2004-03-07 10:36:16 ----

rh73:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

SHA1:
6462c670b3cd72d2355851c624afa7c1222eeaee  XFree86-4.2.1-14.73.24.src.rpm

* package diff against 13.73.23 looks good
* added patch is the same as in rh9 erratum
  06a2b568b0c4198cc26e879ee514693b223654a0
* John's binaries work for me, don't have the CPU power left to
  attempt building from src.rpm
* src.rpm has good signature

++PUBLISH

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQFAS4e50iMVcrivHFQRAto1AKCG2jK8hszbjx4mBoY+9VdTL/YkRACfYHCq
EoAwML3YKY0CCgIVgMHmuQk=
=kLBk
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-03-08 06:26:36 ----

The Glide3 build in the RH 7.2 X package assumes that XFree86-devel and
XFree86-libs are installed.  I can't make these BuildRequires in mach.  I can
fix the XFree86-devel requirement by creating a symlink and adding an include
path.  Fixing the XFree86-libs requirement is much harder because the libraries
have to be built.  If someone else wants to try to figure this out, they're
welcome to do so.  I'm going to disable Glide3 and tdfx and see if it builds
that way.



------- Additional Comments From jpdalbec@ysu.edu 2004-03-12 08:23:47 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

RH 7.2 RPMs are available from http://www.fedoralegacy.org/contrib/

28412b928427079f475fdf58f5f402fe73b30221  XFree86-100dpi-fonts-4.1.0-51.i386.rpm
0c08437e583f417e7622e1e687eaa6ff79a87d9a  XFree86-4.1.0-51.i386.rpm
e8b7e7ab5511385fc73bfcec5f545d90a21d9d93  XFree86-4.1.0-51.src.rpm
d79a3c385186cc86b319bb274c95c41b22b9e575  XFree86-75dpi-fonts-4.1.0-51.i386.rpm
5f381c8381dc090b013e12118f0aef4d2236056f  
XFree86-cyrillic-fonts-4.1.0-51.i386.rpm
bf2aedfd3ceac32363fa8fe5f820f5962e32e500  XFree86-devel-4.1.0-51.i386.rpm
4fce6b22ea3ef5f008e95af986155af0580b36fd  XFree86-doc-4.1.0-51.i386.rpm
77a53aab61f410185305d053901e339a2dd3aa96  
XFree86-ISO8859-15-100dpi-fonts-4.1.0-51.i386.rpm
61ee0b560fa79b0114e6a2eb8d1e288f1b0d02f7  
XFree86-ISO8859-15-75dpi-fonts-4.1.0-51.i386.rpm
df22c1e53763976ead6724bcb7940cbede7e5518  
XFree86-ISO8859-2-100dpi-fonts-4.1.0-51.i386.rpm
1758ea09c8892ad5f96e48f8747bfa11d1c7add6  
XFree86-ISO8859-2-75dpi-fonts-4.1.0-51.i386.rpm
ab13412032327212376db0dc3055c8f6496374d1  
XFree86-ISO8859-9-100dpi-fonts-4.1.0-51.i386.rpm
4c2ed4566e35c5e6fd50363edd9652706425e5b7  
XFree86-ISO8859-9-75dpi-fonts-4.1.0-51.i386.rpm
c9b192ee14daa65818e8f9484bb098cf6ceef5a0  XFree86-libs-4.1.0-51.i386.rpm
b593fbfd7906b0c5655d2d4cdeed0fac5d7ab434  XFree86-tools-4.1.0-51.i386.rpm
ac65ac50fe7b65ab22002c175124685355e0ab1c  XFree86-twm-4.1.0-51.i386.rpm
ac14b5d453ca772b6a12fabfe590160b9a0fcf47  XFree86-xdm-4.1.0-51.i386.rpm
a310bed8092cfe157791c679e558e399545055dd  XFree86-xf86cfg-4.1.0-51.i386.rpm
2d6f9bfc4dfb1861a97468068ee7cfcafe9521f5  XFree86-xfs-4.1.0-51.i386.rpm
dfd5d48d4f410249d0ab695bec1189565606d470  XFree86-Xnest-4.1.0-51.i386.rpm
acc58bd6420deed88e11be2d77b3ef6367acbea0  XFree86-Xvfb-4.1.0-51.i386.rpm

I don't have a "live" RH 7.2 box so I can't test these.  I had to reengineer
the build process to get it to work with mach.  I build XFree86 without Tdfx
support, install the necessary libraries, build Glide3, then build XFree86
with Tdfx support.  I also had to turn off fast/parallel building because it
didn't work with mach, so this will take a LONG time to build.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFAUf+zJL4A+ldA7asRAj8CAKCfal9oHrlnBirnhbEB0neoibz/jgCfbpJR
a0xKlmy2ghblGBjYatd3DZo=
=xLMU
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-03-17 03:51:15 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Revised RH 7.2 RPMs are available from
http://www.fedoralegacy.org/contrib/XFree86/

c8cd2faab795312374bb7a878c825fd6d1994502  
XFree86-100dpi-fonts-4.1.0-51.1.i386.rpm
db0a87ef8ee403756f58e904958fcb1806ef5324  XFree86-4.1.0-51.1.i386.rpm
d07374ece279b523e25bfe172df62dfea9929923  XFree86-4.1.0-51.1.src.rpm
57b7e2f2c61b4b033d1f892ba7fd374eb51d8745  
XFree86-75dpi-fonts-4.1.0-51.1.i386.rpm
7d7ed6c3ddedb185795c9f55fd767c91373a1f2e  
XFree86-cyrillic-fonts-4.1.0-51.1.i386.rpm
21f4f38de51fef20e595ff902fa2041ff4a14d3d  XFree86-devel-4.1.0-51.1.i386.rpm
0ebe0dca6f9565404f112016131ced3fa656f411  XFree86-doc-4.1.0-51.1.i386.rpm
293ebb4071c72c81a1b65ce98db187b9eda9e7c7  
XFree86-ISO8859-15-100dpi-fonts-4.1.0-51.1.i386.rpm
b5ffa5946510cf079c84dc148d9890fc3b27f53b  
XFree86-ISO8859-15-75dpi-fonts-4.1.0-51.1.i386.rpm
4932cca5a207abaaf7a82cf0ee698da684deb66a  
XFree86-ISO8859-2-100dpi-fonts-4.1.0-51.1.i386.rpm
4d9205e0e9fe4f42785bf346d006005fd432c1d9  
XFree86-ISO8859-2-75dpi-fonts-4.1.0-51.1.i386.rpm
883b173af1d135cb0643b096228fc1a7dd45b597  
XFree86-ISO8859-9-100dpi-fonts-4.1.0-51.1.i386.rpm
b6150f82822058ca4d707fb97b4dfaa8988e7080  
XFree86-ISO8859-9-75dpi-fonts-4.1.0-51.1.i386.rpm
0ee6fd7bbdf2b9674554d8d71030336357901a5e  XFree86-libs-4.1.0-51.1.i386.rpm
7313f4d106785ae4135d5bdc3668f9db15a6616a  XFree86-tools-4.1.0-51.1.i386.rpm
8e9221095c5bdffa0f73679bf8de89ef76ed5596  XFree86-twm-4.1.0-51.1.i386.rpm
63f7d2f12eaa958e38aabc101a4d3dc24bc5219a  XFree86-xdm-4.1.0-51.1.i386.rpm
2ce6a1568bda4fdf58d9739c790b029918988cd2  XFree86-xf86cfg-4.1.0-51.1.i386.rpm
9809c4b429bf608bc50033d3ae9ff8af546e1f7a  XFree86-xfs-4.1.0-51.1.i386.rpm
090bf7e78d9135ea799415941a0053f3a621e1ce  XFree86-Xnest-4.1.0-51.1.i386.rpm
b83505f9e3a2f81c78c89b920fd8ab0fd9f15d5e  XFree86-Xvfb-4.1.0-51.1.i386.rpm

I fixed the parallel make and fast build patches to work with mach.
I just had to reverse the order of two lines in each patch.
I also made the extra XFree86 build conditional on Glide3 support.
Untested.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFAWFaAJL4A+ldA7asRAjfLAKCbeNec6Bxvxel6pZsQ7FOn5lHYhwCgirDK
+4HjtoJleWz2ktlLqeWnDAA=
=J0mt
-----END PGP SIGNATURE-----




------- Additional Comments From skvidal@phy.duke.edu 2004-04-30 21:05:26 ----

Quick status check on this bug - this looks ready to go to updates-testing from
the reports.

if you just need a place to house these then let me know.





------- Additional Comments From dwb7@ccmr.cornell.edu 2004-05-07 09:31:25 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Build of XFree86 SRPM on rh73 failed.

6462c670b3cd72d2355851c624afa7c1222eeaee *XFree86-4.2.1-14.73.24.src.rpm


make[4]: Entering directory
`/usr/src/redhat/BUILD/XFree86-4.2.1/xc/programs/dpsinfo'
make[4]: warning: -jN forced in submake: disabling jobserver mode.
../../config/pswrap/pswrap -a -o iwraps.c -h iwraps.h iwraps.psw
gcc -O2 -march=i386 -mcpu=i686 -pipe -ansi -pedantic -Wall -Wpointer-arith
- -I../.. -I../../exports/include   -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L
- -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE  -D_GNU_SOURCE
- -DFUNCPROTO=15 -DNARROWPROTO       -c -o dpsinfo.o dpsinfo.c
dpsinfo.c:34:20: iwraps.h: No such file or directory
rm -f dpsinfo._man
/lib/cpp -undef -traditional  -D__apploaddir__=/usr/X11R6/lib/X11/app-defaults
- -D__filemansuffix__=5x -D__miscmansuffix__=7x -D__drivermansuffix__=4x
- -D__projectroot__=/usr/X11R6 -D__xorgversion__='"Release 6.6" "X Version 11"'
- -D__vendorversion__="Version `echo 4 2 1 | sed 's/ /./g'` XFree86"
<dpsinfo.man | sed -e '/^#  *[0-9][0-9]*  *.*$/d' -e '/^XCOMM$/s//#/' -e
'/^XCOMM[^a-zA-Z0-9_]/s/^XCOMM/#/' >dpsinfo._man
dpsinfo.c: In function `main':
dpsinfo.c:109: warning: implicit declaration of function `PSproductReturn'
dpsinfo.c:116: warning: implicit declaration of function `PSfonttypes'
gcc -O2 -march=i386 -mcpu=i686 -pipe -ansi -pedantic -Wall -Wpointer-arith
- -I../.. -I../../exports/include   -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L
- -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE  -D_GNU_SOURCE
- -DFUNCPROTO=15 -DNARROWPROTO       -c -o iwraps.o iwraps.c
make[4]: *** [dpsinfo.o] Error 1
make[4]: *** Waiting for unfinished jobs....
make[4]: Leaving directory
`/usr/src/redhat/BUILD/XFree86-4.2.1/xc/programs/dpsinfo'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.2.1/xc/programs'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.2.1/xc'
make[1]: *** [World] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.2.1/xc'
make: *** [World] Error 2
make: Leaving directory `/usr/src/redhat/BUILD/XFree86-4.2.1/xc'
error: Bad exit status from /var/tmp/rpm-tmp.26874 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.26874 (%build)


- -DWB
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFAm+PySY7s7uPf/IURApkMAJ9nH9tnr8+UvS8VxQ0h2vi4YPSxnwCghbOy
EspsmcqpAQtFwFyganbd3pM=
=K7Ye
-----END PGP SIGNATURE-----




------- Additional Comments From dwb7@ccmr.cornell.edu 2004-05-07 10:30:49 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Manually specifying -j1 in the spec file allowed it to build under rh73.

Tried just setting ParallelBuild to 0, but, it would appear other patches are kinda
dependant on that patch being there, so, no go.

One could argue that this is not our problem, so, who cares?

diff XFree86.spec XFree86.spec.dwb -U3
- --- XFree86.spec        Tue Feb 24 10:52:01 2004
+++ XFree86.spec.dwb    Fri May  7 16:27:32 2004
@@ -27,6 +27,8 @@
 %define ParallelBuild           1
 %endif
 
+#dwb7 test
+
 %define VerboseBuild            1
 # Builds X with debug symbol info.  This results in *FRECKIN* *HUGE* packages.
 # Enable this if you want to debug the modular X server.  As of gdb 5.0, this
@@ -1121,6 +1123,7 @@
 
 %if %{ParallelBuild}
 #define ParallelMakeFlags      -j%(getconf _NPROCESSORS_ONLN)
+#define ParallelMakeFlags      -j1
 %endif
 
 %if %{with_new_fontconfig_Xft}


DWB
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQFAm/HhSY7s7uPf/IURAuqWAKC9/vqndJO5LdiaJ3NUzgPcs5JFXwCdGbHC
Saf9omirwb/8PaJuJa9yyYg=
=+5ts
-----END PGP SIGNATURE-----




------- Additional Comments From warren@togami.com 2004-05-11 16:21:12 ----

Don't bother trying to fix parallel build for an old distribution... just get
the package published... that's all I can suggest.



------- Additional Comments From jpdalbec@ysu.edu 2004-05-13 05:12:05 ----

I think I recognize this problem.  I had more or less the same error on Red Hat
7.2.  I just have to switch two lines in the makefile patches.  Sorry to keep
you waiting, I didn't see this until yesterday.  I've added myself to the CC: list.



------- Additional Comments From jpdalbec@ysu.edu 2004-05-14 07:55:58 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

New RHL 7.3 XFree86 packages are available from
http://www.fedoralegacy.org/contrib/XFree86/
RHL 8.0 packages will follow on Monday.

sha1sums:
d8ac2adef76795b38047ce8ed819f5d8de3ab990  
XFree86-100dpi-fonts-4.2.1-15.73.25.i386.rpm
74e0264b4d9c0f8d4ebbbceab48d51c802a309a7  XFree86-4.2.1-15.73.25.i386.rpm
90d2bd324fbab0f7de77558bc6112f79343a0d1b  XFree86-4.2.1-15.73.25.src.rpm
7a91e25dd32c498c46588a87e2cf2190a1dc0af3  
XFree86-75dpi-fonts-4.2.1-15.73.25.i386.rpm
4a2665b38e643f4934957bb9fefd24c78c186dec  
XFree86-base-fonts-4.2.1-15.73.25.i386.rpm
8735f330ff930ea14fd7dba0287b5af76ca3b62a  
XFree86-cyrillic-fonts-4.2.1-15.73.25.i386.rpm
09a281ebc59fe14419256d598423b7d3ce8b9d92  XFree86-devel-4.2.1-15.73.25.i386.rpm
f8aa1bf9ec114a9e23e56242db992f9b10448585  XFree86-doc-4.2.1-15.73.25.i386.rpm
33354ffa22a9ed72db2f3c9d7a830f2fb50360e9  
XFree86-font-utils-4.2.1-15.73.25.i386.rpm
bbc146e50fd148b6382f3eaf1f12582f7d9b5067  
XFree86-ISO8859-15-100dpi-fonts-4.2.1-15.73.25.i386.rpm
f1852ea48a374ef3c5c3b081872cc767905f71a0  
XFree86-ISO8859-15-75dpi-fonts-4.2.1-15.73.25.i386.rpm
3fe11f132b6015d17611e13a00de3fe685d9e607  
XFree86-ISO8859-2-100dpi-fonts-4.2.1-15.73.25.i386.rpm
d1192bf7364e49ecc542572ba3b4f1574042f4cf  
XFree86-ISO8859-2-75dpi-fonts-4.2.1-15.73.25.i386.rpm
61f71dbb2968c2061aba7854a3f69107edcff966  
XFree86-ISO8859-9-100dpi-fonts-4.2.1-15.73.25.i386.rpm
f99bfdda665043c05b8b6de40bad4084b0bb9219  
XFree86-ISO8859-9-75dpi-fonts-4.2.1-15.73.25.i386.rpm
14ac794cb45d91ed129bbdc0c0e05e0d03f66be6  XFree86-libs-4.2.1-15.73.25.i386.rpm
f7d2bd098feacda90b7e55840b0007ff1bad793b  XFree86-tools-4.2.1-15.73.25.i386.rpm
50d8a4e128146d6ed8f497a269aa45d8a01143aa  
XFree86-truetype-fonts-4.2.1-15.73.25.i386.rpm
76a7b0bd8052007dfd00b3df8fd9b291fe31485d  XFree86-twm-4.2.1-15.73.25.i386.rpm
a0b0fdbe91caa88ade516196a4e23c4d078b673e  XFree86-xdm-4.2.1-15.73.25.i386.rpm
be2e469d96488d03e436cf6d57c96e24a1477756  
XFree86-xf86cfg-4.2.1-15.73.25.i386.rpm
e3281710c8af5e7e1f2796bfadd2db18a1605996  XFree86-xfs-4.2.1-15.73.25.i386.rpm
2083a1bc04be98a22846b7cfdbc8333108062bbb  XFree86-Xnest-4.2.1-15.73.25.i386.rpm
6c8e0f321967a3418f20e4da05afa39c9cae420b  XFree86-Xvfb-4.2.1-15.73.25.i386.rpm

I've installed the packages on a VMware dual-boot partition and (after
reconfiguring VMware tools) they run fine.  I'll try booting natively later.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFApQXdJL4A+ldA7asRAiwiAKCaQCO5AnGCN0+1nypxRAZ2X7NPiACgscZd
3/GAfDmO44Rll/n1l4GCPt0=
=jcWu
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-05-14 10:54:20 ----

Sorry, parallel builds are *still* borked.  I'll work on new packages Monday for
7.2, 7.3, and 8.0 with the -j1 fix.  It looks like make is assuming that a
target exists as soon as it kicks off a process to build it.  It makes sense
that you don't want another process to try to build the same target, but the
other processes shouldn't be trying to use the target until it's built.



------- Additional Comments From jkeating@j2solutions.net 2004-05-18 17:57:27 ----

John, what is the status of this?  I'd really like to get this into
updates-testing.  Do you have working 7.2/7.3/8.0 packages?  They don't have to
parallel build, just build period.



------- Additional Comments From jpdalbec@ysu.edu 2004-05-19 02:14:26 ----

The existing 7.2 package builds fine on a single-CPU box.  It will fail on a
multi-CPU box.  The existing 8.0 package builds fine on a single-CPU box with
XFree86 already installed on the box.  Naturally this doesn't work in a mach
build environment.  I am building 8.0 packages in a Red Hat Linux 9 VM using
mach.  I had to restart the build yesterday afternoon because VMware consumed
all available memory and crashed Windows.  I've shrunk the memory size on the VM
so hopefully this won't happen again.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Red Hat Linux 7.3 XFree86 packages are available from
http://www.fedoralegacy.org/contrib/XFree86/

The previous set of packages I uploaded still fail to build on SMP machines.
These packages use -j1 on the "make" command so they should build fine.

sha1sums:

37a6d5eb7f300fc956ef58c0ab16f8e6a154d396  
XFree86-100dpi-fonts-4.2.1-16.73.26.i386.rpm
736af5bd0274630d3f0fb29b499bdbd5e804112e  XFree86-4.2.1-16.73.26.i386.rpm
4f40409c14954929ce55e312d9ff05fde8c6e9bd  XFree86-4.2.1-16.73.26.src.rpm
ecb6bb488e87602acdd5bcfd90f0c32c8fd84e11  
XFree86-75dpi-fonts-4.2.1-16.73.26.i386.rpm
084c9c5d222f47d984907a0068ca849e84f1fbfa  
XFree86-ISO8859-15-100dpi-fonts-4.2.1-16.73.26.i386.rpm
2131d4515576327e30a8718aa64d267c5b770682  
XFree86-ISO8859-15-75dpi-fonts-4.2.1-16.73.26.i386.rpm
236e58ebcc32aede39f105c8e783a0d1fa85efb1  
XFree86-ISO8859-2-100dpi-fonts-4.2.1-16.73.26.i386.rpm
82dac4aa64cd95946b05c5db134e336d47775f08  
XFree86-ISO8859-2-75dpi-fonts-4.2.1-16.73.26.i386.rpm
90b87c220a1cbe0ae4466ef569494aa62c662725  
XFree86-ISO8859-9-100dpi-fonts-4.2.1-16.73.26.i386.rpm
0938a80f3f518df5b6f0fa269861989a5e4429f4  
XFree86-ISO8859-9-75dpi-fonts-4.2.1-16.73.26.i386.rpm
e74bfa9ccfdc41083dc1c1843976de05c0ba24e4  XFree86-Xnest-4.2.1-16.73.26.i386.rpm
56f433040ebc223bdd9c93b747fb78ddb38f8d42  XFree86-Xvfb-4.2.1-16.73.26.i386.rpm
72f9e23eda76b8d29cb488d958caafaa1e631581  
XFree86-base-fonts-4.2.1-16.73.26.i386.rpm
97d0a24d3398a8913a83181d6537e46ed4d83afb  
XFree86-cyrillic-fonts-4.2.1-16.73.26.i386.rpm
ed270b97980ab4c4283860d3bedc61b1c4d0c068  XFree86-devel-4.2.1-16.73.26.i386.rpm
fc3ac5923f680b32e0d954f2d0b091e4febd0987  XFree86-doc-4.2.1-16.73.26.i386.rpm
abd1520a46f4a1b127166feaf1c120ab0583cc90  
XFree86-font-utils-4.2.1-16.73.26.i386.rpm
ca527243027fed250203ae4b16405961a118217a  XFree86-libs-4.2.1-16.73.26.i386.rpm
1134419a755d8a2aa48cdb8f595a0fbe000e2ca3  XFree86-tools-4.2.1-16.73.26.i386.rpm
37bfa768fc577bd8fb218f86c94f66c0e17c170e  
XFree86-truetype-fonts-4.2.1-16.73.26.i386.rpm
79326a28a502dec765dad7fc6ab5bc99a35e7e87  XFree86-twm-4.2.1-16.73.26.i386.rpm
0322934e1a4b672f8ac2a100eb8cc438419376ca  XFree86-xdm-4.2.1-16.73.26.i386.rpm
ba3385177e9c1bcf507b565f6ac6082d92d94053  
XFree86-xf86cfg-4.2.1-16.73.26.i386.rpm
c5f3907597b8e24c9ceccba3762d4c70f67df0a5  XFree86-xfs-4.2.1-16.73.26.i386.rpm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFAq06QJL4A+ldA7asRAiitAJwPYLRarIwoMDqV62lBAzbNI5DEVQCgv38p
yxP1Glw7MKs65eKiQo3Wpq8=
=enyX
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-05-26 02:14:07 ----

Sorry for the delay.  I'm still getting used to VMware as a build environment. 
Friday the power went out because of a thunderstorm so I lost that build.  Then
the RH 8.0 build failed because I'm using mach for the first time and I needed
to add a topdir argument to the "xmkmf" command in the .spec file.  Then the RH
7.2 build failed because I'm using umask 077 and it installs the Xaw3d-devel
package without installing XFree86-devel so /usr/X11R6/include/X11 was created
with 700 permissions.  Yesterday I was trying to build both packages
simultaneously but my host Windows box turned to molasses.  I tried to suspend
the virtual machines I had running but they still hadn't finished suspending
this morning even though I left the box running all night.  I had to kill VMware
and restart the builds again.  I think I'll build 7.2 first because I have more
confidence that that will work now.



------- Additional Comments From jpdalbec@ysu.edu 2004-05-28 08:42:18 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

New RHL 7.2 XFree86 packages are available from
http://www.fedoralegacy.org/contrib/XFree86/

sha1sums:
7af28346831a15bdef56ae603bff4e7985a9d0f0  XFree86-100dpi-fonts-4.1.0-52.i386.rpm
8beee2856740baf9647414443d6609eb254d43c7  XFree86-4.1.0-52.i386.rpm
eb367661a3e254ea21bcd0624b25e85b41fd54ff  XFree86-4.1.0-52.src.rpm
43f778c2d2b9e365eb2769d1e05b246a7bcda324  XFree86-75dpi-fonts-4.1.0-52.i386.rpm
808ed6f0ad24034e65e4d7a3431ac9e13382d1e7  
XFree86-cyrillic-fonts-4.1.0-52.i386.rpm
eadfcd1f6bf869b0f4fa40a846ee893d452eb82a  XFree86-devel-4.1.0-52.i386.rpm
d8ef41303df912c402242328ad8eca426df31711  XFree86-doc-4.1.0-52.i386.rpm
edaaf76a2f0f4c9be8d449869e8e3f95eac4b037  
XFree86-ISO8859-15-100dpi-fonts-4.1.0-52.i386.rpm
694d1a7da4f33574ef5bda1159f9d2e8fe33f8b9  
XFree86-ISO8859-15-75dpi-fonts-4.1.0-52.i386.rpm
09a70ca6757ed255cdc1e9ec134d512a0f5e02d6  
XFree86-ISO8859-2-100dpi-fonts-4.1.0-52.i386.rpm
aa03f6e7dc9c4c86fac7f0ee334d9899b2471ea0  
XFree86-ISO8859-2-75dpi-fonts-4.1.0-52.i386.rpm
b6cc63054e6d9fdfd83fcee73ee2d6aac36e1dd9  
XFree86-ISO8859-9-100dpi-fonts-4.1.0-52.i386.rpm
4e519c35909be26b3202fbdab0c88595a32d46f7  
XFree86-ISO8859-9-75dpi-fonts-4.1.0-52.i386.rpm
67608826f4c192c77e49828d6d7828dc47c1533b  XFree86-libs-4.1.0-52.i386.rpm
125c9f0694aee5d1ffbc0afc0faa9b01bc63f3c7  XFree86-tools-4.1.0-52.i386.rpm
b23c6b7bf0824b68584452bddebf1271b6915a88  XFree86-twm-4.1.0-52.i386.rpm
172621cd79e978342a7848e4e449b18b06e2e701  XFree86-xdm-4.1.0-52.i386.rpm
9a6fae4fb6137044908bf446d452e8d568c1c1f7  XFree86-xf86cfg-4.1.0-52.i386.rpm
30161d908d78c89a4c5010ec43137f2bb0a3fa2c  XFree86-xfs-4.1.0-52.i386.rpm
8e1df74a0718c074081fbad00a2bba3ef38a13b6  XFree86-Xnest-4.1.0-52.i386.rpm
3bd7c3799dc3a2cc3a584f0fd24d53f44d3c4aa8  XFree86-Xvfb-4.1.0-52.i386.rpm

I don't have a "live" 7.2 box so I haven't tested these.  I'm still trying to
get 8.0 packages to build, but they assume that X is already installed on the
build host so I keep running into problems.  I'm using mach so there's no way
I can build X packages and have them installed at the same time.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFAt3UrJL4A+ldA7asRAgCHAKCxUZQxvk0L9y2X2V/5zBXVjocXpwCeIRc5
/OM2PM/p6k+mZdey9y/p+6s=
=j2NO
-----END PGP SIGNATURE-----




------- Additional Comments From jpdalbec@ysu.edu 2004-06-03 11:04:09 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

New RH 8.0 XFree86 packages are available from
http://www.fedoralegacy.org/contrib/XFree86/

sha1sums:
43cf99a794bad806cfb8be593a3ddcaa678b6456  XFree86-100dpi-fonts-4.2.1-26.i386.rpm
ffeb049c35d825b66177897e82541fb3c3a79a09  XFree86-4.2.1-26.i386.rpm
192360b08c6c67cf20baed8a824e379f45c069d2  XFree86-4.2.1-26.src.rpm
ee984ca7f71586644ca52d87c845d45db8908b21  XFree86-75dpi-fonts-4.2.1-26.i386.rpm
f1e543fa1308d1339b62c067e35ff1259e9a7763  XFree86-base-fonts-4.2.1-26.i386.rpm
dede967472233f770ed397dd8ad9b42e58db6b85  
XFree86-cyrillic-fonts-4.2.1-26.i386.rpm
66eaeea8f5e9033b28ca21bc9c606779a938a72e  XFree86-devel-4.2.1-26.i386.rpm
b68d6a2ca959aec2f3ff9436ea78b42352a715a1  XFree86-doc-4.2.1-26.i386.rpm
ec3a6a585557170297af13a3111cf0b550477371  XFree86-font-utils-4.2.1-26.i386.rpm
12da988128e56f92bea782f93d585c97555ff70f  
XFree86-ISO8859-15-100dpi-fonts-4.2.1-26.i386.rpm
221ae57fdedcb362dd1bfc59bb08244d76fbaa7b  
XFree86-ISO8859-15-75dpi-fonts-4.2.1-26.i386.rpm
9d2e421db7038ec6258d8e3d76b78ffbaf607c70  
XFree86-ISO8859-2-100dpi-fonts-4.2.1-26.i386.rpm
4459ae0bb44f35b70664a5fdf378dc96f9a98139  
XFree86-ISO8859-2-75dpi-fonts-4.2.1-26.i386.rpm
2b402475f5ef5b526276bcbe3ff76610b2a1d708  
XFree86-ISO8859-9-100dpi-fonts-4.2.1-26.i386.rpm
16a28865d6fecd9318ba621948d1122687fe5c7b  
XFree86-ISO8859-9-75dpi-fonts-4.2.1-26.i386.rpm
0e709dcc5bf24ae8106c4bf58eafd8994afe94e8  XFree86-libs-4.2.1-26.i386.rpm
ef92c0f371bbdc45c0c87f660bbad197042d1ac0  XFree86-Mesa-libGL-4.2.1-26.i386.rpm
56bc89506bc6f3e0d54a95a07af5ff207f2f671e  XFree86-Mesa-libGLU-4.2.1-26.i386.rpm
c1a40ead46132b95e4b2bf2137cd58544bcdf8c4  XFree86-tools-4.2.1-26.i386.rpm
ae1d8d0b9a01aeb80b09c5787c56a4ebb6abc1df  
XFree86-truetype-fonts-4.2.1-26.i386.rpm
89784990f3a95f321ef5423204d843e63e721654  XFree86-twm-4.2.1-26.i386.rpm
1649a72faeff761bfc67dd69db41c048214ab33c  XFree86-xauth-4.2.1-26.i386.rpm
cd97ce033a0ca6660f3fb3b5f4b91a104f4cd7e1  XFree86-xdm-4.2.1-26.i386.rpm
6fd297ab13de39af3bedf3ad3a90a4297382da48  XFree86-xfs-4.2.1-26.i386.rpm
552b3522f42e688e9a8ea5dcbd9e2aa1f3ba2e3f  XFree86-Xnest-4.2.1-26.i386.rpm
ec1a144beb7fc8667ca1dcc272989fa5bc7bfbc5  XFree86-Xvfb-4.2.1-26.i386.rpm

I installed the following packages on a test RH 8.0 box with a Cirrus Logic
GD5430 chipset running at 1024x768x8:
XFree86-100dpi-fonts XFree86 XFree86-75dpi-fonts XFree86-Mesa-libGL
XFree86-Mesa-libGLU XFree86-base-fonts XFree86-devel XFree86-font-utils
XFree86-libs XFree86-tools XFree86-truetype-fonts XFree86-twm XFree86-xauth
XFree86-xdm XFree86-xfs

I restarted xfs and killed the gdm process so that init would restart it.

I logged in and opened a terminal window and mozilla.
I went to mozillazine.org and checked out the story on Netscape 7.2.
I logged out again.  I didn't notice any X problems.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFAv5CJJL4A+ldA7asRAsyPAJ9sNu8dzCPXqow+xWIxAQvMGVRvCgCeKOqX
MMzbwpBHw5nyh1L6rO5mGfk=
=rfAv
-----END PGP SIGNATURE-----




------- Additional Comments From marcdeslauriers@videotron.ca 2004-06-07 14:02:59 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

QA'd the 7.3 packages:

4f40409c14954929ce55e312d9ff05fde8c6e9bd  XFree86-4.2.1-16.73.26.src.rpm

- - sha1sum matches
- - Spec file changes are good
- - Patch file looks reasonable
- - Other sources are OK when diffed with previous release
- - Builds OK
- - Installs OK
- - Runs OK

+PUBLISH

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAxQByLMAs/0C4zNoRAsiFAJwIvWh4ASAPTMQ2LquDvwF3uUjdUwCgvAxb
T4eTSWDNVOKa3vGiVsDySmY=
=vGxK
-----END PGP SIGNATURE-----




------- Additional Comments From edgester@yahoo.com 2004-06-08 02:49:47 ----

Installed ok:
---------------------------------
# rpm -Fv *.73.*.rpm
Preparing packages for installation...
XFree86-libs-4.2.1-16.73.26
XFree86-devel-4.2.1-16.73.26
XFree86-font-utils-4.2.1-16.73.26
XFree86-100dpi-fonts-4.2.1-16.73.26
XFree86-75dpi-fonts-4.2.1-16.73.26
XFree86-base-fonts-4.2.1-16.73.26
XFree86-ISO8859-15-100dpi-fonts-4.2.1-16.73.26
XFree86-ISO8859-15-75dpi-fonts-4.2.1-16.73.26
XFree86-xfs-4.2.1-16.73.26
XFree86-4.2.1-16.73.26
XFree86-tools-4.2.1-16.73.26
XFree86-twm-4.2.1-16.73.26
XFree86-xdm-4.2.1-16.73.26
XFree86-4.2.1-16.73.26
----------------------------------

I ran startx and it worked, except that the icons on my gnome taskbar didn't
show up. First time I've run startx on this box. Not sure if it's my fault of
the packages. I was able to run startx, use the gnome menu, and logout.



------- Additional Comments From pedrocj@terra.es 2004-06-16 11:13:40 ----

Downloaded and installed for QA (in rh8) the following packages:
XFree86-Mesa-libGL-4.2.1-26
XFree86-truetype-fonts-4.2.1-26
XFree86-base-fonts-4.2.1-26
XFree86-twm-4.2.1-26
XFree86-tools-4.2.1-26
XFree86-4.2.1-23
XFree86-xauth-4.2.1-26
XFree86-Mesa-libGLU-4.2.1-26
XFree86-xdm-4.2.1-26
XFree86-75dpi-fonts-4.2.1-26
XFree86-libs-4.2.1-26
XFree86-xfs-4.2.1-26
XFree86-font-utils-4.2.1-26
XFree86-100dpi-fonts-4.2.1-26
No Problem at all. diff -u of the differents logs fixed a lot of stuff of the
old package:
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
-GetModeLine - scrn: 0 clock: 56300
-GetModeLine - hdsp: 800 hbeg: 832 hend: 896 httl: 1048
-              vdsp: 600 vbeg: 601 vend: 604 vttl: 631 flags: 5
Thanks.



------- Additional Comments From jpdalbec@ysu.edu 2004-06-22 05:19:49 ----

Jason, did you perhaps install the last gdk-pixbuf update?  It had a problem
that caused images not to appear.  If you build and install the latest version
from that bug it should work.



------- Additional Comments From jpdalbec@ysu.edu 2004-07-21 04:57:51 ----

I've removed my RHL 7.2 and 8.0 packages to save space on the server since we're
not officially supporting them any more.



------- Additional Comments From edgester@yahoo.com 2004-08-24 07:31:44 ----

"rpm -q gdk-pixbuf" shows:
gdk-pixbuf-0.14.0-9.legacy.1

when running startx from a root console login, I get the following errors on the
console multiple times:
** WARNING **: Unable to load modules: libpixbugloader-png.so:
libpixbugloader-png.so: cannot open shared object file: no such file or directory

If I'm the only one holding back this bug, please forge ahead. I never run X on
this box and I'm trying to retire my RedHat legacy boxes.



------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-12 07:57:06 ----

Jason's bug sure looks like a gdk-pixbuf problem.

The 7.3 packages in this bug should be pushed to updates-testing.




------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-17 11:56:37 ----

Created an attachment (id=849)
Advisory text draft

Here is the advisory text draft



------- Additional Comments From dom@earth.li 2004-10-01 14:05:57 ----

I am reposting this report from Craig Kelley which was mistakenly put in bug 1831.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
Source:
b311b22fe4d6d4e08f99ea7e59d4be7a6158d66d  XFree86-4.2.1-16.73.27.src.rpm
 
Binary:
8a5738fc0d2aeff3b98e3cfdf28135eeee4385f0 
XFree86-100dpi-fonts-4.2.1-16.73.27.i386.rpm
77ae3b1c10ce7a001f5822c66f6b91f58c94a475  XFree86-4.2.1-16.73.27.i386.rpm
9c899aab10f09516a9003199620d0fc2e04dd014 
XFree86-75dpi-fonts-4.2.1-16.73.27.i386.rpm
9dbf4535e9499d5e3ca21ce44b14859d88a45ac7 
XFree86-ISO8859-15-100dpi-fonts-4.2.1-16.73.27.i386.rpm
50782370c7d3a524649085b039cb704e1361754b 
XFree86-ISO8859-15-75dpi-fonts-4.2.1-16.73.27.i386.rpm
28f087c281057110a3dd1ca84c564033b5510c67 
XFree86-ISO8859-2-100dpi-fonts-4.2.1-16.73.27.i386.rpm
074a8115455791cbfc09c02c4796533c2d00fa57 
XFree86-ISO8859-2-75dpi-fonts-4.2.1-16.73.27.i386.rpm
1f23b76f196979b8ae5d91cda87f1eb7905be0e7 
XFree86-ISO8859-9-100dpi-fonts-4.2.1-16.73.27.i386.rpm
65d0f074cade8ac011ec881e91862541f2b7de63 
XFree86-ISO8859-9-75dpi-fonts-4.2.1-16.73.27.i386.rpm
708d06c728c2df4eb526403eb132630b027da0f2  XFree86-Xnest-4.2.1-16.73.27.i386.rpm
74ba7b4eaae9ca8d44c053afbc18fba9e163f59d  XFree86-Xvfb-4.2.1-16.73.27.i386.rpm
7e365574c9d4c4e56ed042f7119423bc6114dbb5  XFree86-base-fonts-4.2.1-16.73.27.i386.rpm
477b6fa1d9bec3a1bb9f285c8c57622d4d131656 
XFree86-cyrillic-fonts-4.2.1-16.73.27.i386.rpm
704f039490bb3a0e56400f7ec71a9cfb43de129b  XFree86-devel-4.2.1-16.73.27.i386.rpm
56f083d57e4fd5048d5a0548193c03ecb39332f9  XFree86-doc-4.2.1-16.73.27.i386.rpm
cef766b8f14f497279905516cc0743ca0b484a6a  XFree86-font-utils-4.2.1-16.73.27.i386.rpm
fa8d73c984479350425bda006a168d19a4f724a5  XFree86-libs-4.2.1-16.73.27.i386.rpm
f4e2d367b3ac930e68d4c2dae3d4fa78e45eb7e9  XFree86-tools-4.2.1-16.73.27.i386.rpm
8dd9a32c44beb8110897adeaeac66e10a02e5ec2 
XFree86-truetype-fonts-4.2.1-16.73.27.i386.rpm
0083535709b3e46c646551e48d3c6793a0797c6c  XFree86-twm-4.2.1-16.73.27.i386.rpm
889acef55be6e8cc1fa67d1133b03e68d6e4a2b3  XFree86-xdm-4.2.1-16.73.27.i386.rpm
e0f95f9a79dcb83b73bfc284714f1ea9b8f8eeba  XFree86-xf86cfg-4.2.1-16.73.27.i386.rpm
d963b8d19b4cef53c70e60597a57ff2b215af244  XFree86-xfs-4.2.1-16.73.27.i386.rpm
 
I rebuilt the SRPM just fine; everything worked great.  After
installing, I started several X11 clients and an Xnest server -- it
all worked as expected.
 
+VERIFY
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
 
iD8DBQFBWyzGyQ+yTHz+jJkRAi2HAJ9fBxgRJoFyOb/gTL6jxHSV3H4vRQCglGj0
UeEhK++fb9OJOgFVy3ppLh0=
=Tupc
-----END PGP SIGNATURE-----





------- Additional Comments From dom@earth.li 2004-10-01 14:07:05 ----

This update can be downloaded from:
  http://download.fedoralegacy.org/redhat/

http://www.redhat.com/archives/fedora-legacy-list/2004-September/msg00161.html



------- Additional Comments From dom@earth.li 2004-10-03 03:10:53 ----

superceded by bug 2075



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:23 -------

This bug previously known as bug 1289 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1289
Originally filed under the Fedora Legacy product and Package request component.

Attachments:
RH9 / XFree86 patch
https://bugzilla.fedora.us/attachment.cgi?action=view&id=540
Advisory text draft
https://bugzilla.fedora.us/attachment.cgi?action=view&id=849

Unknown priority P1. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Unknown severity blocker. Setting to default severity "normal".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was Freedom_Lover@pobox.com.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.